package rvl.swv;

/**
 * This class's {@link #main} method returns a nonzero exit
 * code (10 * version number) if the JVM being run has a version
 * lower than is required to run StatWeave.
 * <p>
 * Default requirement is <b>1.5</b> but this can be changed
 * by specifying it as a command-line argument.
 *
 * @author Russell V. Lenth
 * @version May 9, 2008
 */
public class ChkJVM {

/** Default requirement if not specified on the command line */
    public static double neededVersion = 1.5;

    public static void main (String argv[]) {

        String ver = System.getProperty("java.version");
        double version = (new Double(ver.substring(0,3))).doubleValue();
        if (argv.length > 0)
            neededVersion = (new Double(argv[0])).doubleValue();

        if (version < neededVersion) {
            System.out.println("You are running Java runtime version " + version
                + ".\nYou need JRE version " + neededVersion
                + " or later to run StatWeave\n"
                + "You may download it from http://java.sun.com");
            System.exit((int)(10*version));
        }

        System.exit(0);
    }

}

// Compile this with
//    javac -source 1.2 -target 1.2
// so it'll run even on really old JVMs
