package rvl.swv;
import rvl.swv.*;
import java.io.*;

/**
  Engine for LaTeX code.  This is a trivial engine that works only
  with LaTeX source files.  It just collects tex code from code chunks and
  drops them into the designated locations for output.
  That is, the output file is just the code file.
 */
public class LaTeXEngine extends AbstractEngine {

    public LaTeXEngine() {
        engineName = "LaTeXEngine";
        codeExt = ".inc";
        outExt = ".inc";
        commentStart = "% ";
        commentEnd = "";
        okfigfmts = null;
        startupCode = "";
    }

// Override because we don't want any startup messages
    public void putStartup(boolean weaving) {
        this.weaving = weaving;
    }

    public void putSeparator(String text) {
        putCode(text);
    }

    public void putExpr(String expr) {
    }

    public FigFile setupFig(String chunkName) {
        return null;
    }

    public void closeFig() {
    }

// Override super-class method -- Don't run anything!
    public Process runCode() {
        return null;
    }

    public void deleteCodeFile() {
        // we'll let StatWeave delete the output file instead
    }


} // ----- END OF LaTeXEngine -------

